Bug 834977

Summary: multiple kernel-kirkwood kernels do not boot
Product: [Fedora] Fedora Reporter: Bernard Johnson <bjohnson>
Component: kernelAssignee: Jon Masters <jcm>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 17CC: bobsol, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, scott
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: arm   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-24 17:00:32 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bernard Johnson 2012-06-25 01:46:01 EDT
Description of problem:
kernel-kirkwood-3.4.2-4.fc17.armv5tel does not boot.  The previously available kernel kernel-kirkwood-3.4.2-3.fc17.armv5tel boots just fine.

Version-Release number of selected component (if applicable):
kernel-kirkwood-3.4.2-4.fc17.armv5tel

How reproducible:
Always

Steps to Reproduce:
1. Update kernel
2. Reboot
3.
  
Actual results:
Only text printed on console:
Starting kernel ...                                                             
                                                                                
Uncompressing Linux... done, booting the kernel.                                
   

Expected results:
A bootable kernel.

Additional info:
Comment 1 Bernard Johnson 2012-06-29 23:23:34 EDT
Fixed in: kernel-kirkwood-3.4.3-1.fc17.armv5tel

This bug can be closed.
Comment 2 Bernard Johnson 2012-07-13 02:10:57 EDT
Reopening

Broken again in kernel-kirkwood-3.4.4-5.fc17.armv5tel.
Comment 3 Bernard Johnson 2012-07-21 07:13:23 EDT
Working again in kernel-kirkwood-3.4.6-2.fc17.armv5tel: 
https://arm.koji.fedoraproject.org/koji/rpminfo?rpmID=327348
Comment 4 Bernard Johnson 2012-08-06 10:47:48 EDT
Broken again but in a different way for 3.5.0-2.fc17.armv5tel.kirkwood.  Strangely, the system clock is set to a different date each boot.  I know without a RTC, the value will be meaningless, but I would have expected the equivalent of all high bits or all low bits.


## Booting kernel from Legacy Image at 00800000 ...                             
   Image Name:   3.5.0-2.fc17.armv5tel.kirkwood                                 
   Image Type:   ARM Linux Kernel Image (uncompressed)                          
   Data Size:    3342688 Bytes = 3.2 MiB                                        
   Load Address: 00008000                                                       
   Entry Point:  00008000                                                       
   Verifying Checksum ... OK                                                    
## Loading init Ramdisk from Legacy Image at 01100000 ...                       
   Image Name:   initramfs                                                      
   Image Type:   ARM Linux RAMDisk Image (uncompressed)                         
   Data Size:    12361460 Bytes = 11.8 MiB                                      
   Load Address: 00000000                                                       
   Entry Point:  00000000                                                       
   Verifying Checksum ... OK                                                    
   Loading Kernel Image ... OK                                                  
OK                                                                              
                                                                                
Starting kernel ...                                                             
                                                                                
Uncompressing Linux... done, booting the kernel.                                
[    0.000000] Booting Linux on physical CPU 0                                  
[    0.000000] Initializing cgroup subsys cpuset                                
[    0.000000] Initializing cgroup subsys cpu                                   
[    0.000000] Linux version 3.5.0-2.fc17.armv5tel.kirkwood (mockbuild@hsv-panda
-1-v5tel.farm.hsv.redhat.com) (gcc version 4.7.0 20120507 (Red Hat 4.7.0-5) (GCC
) ) #1 Wed Aug 1 09:47:49 EDT 2012                                              
[    0.000000] CPU: Feroceon 88FR131 [56251311] revision 1 (ARMv5TE), cr=0005397
7                                                                               
[    0.000000] CPU: VIVT data cache, VIVT instruction cache                     
[    0.000000] Machine: Marvell GuruPlug Reference Board                        
[    0.000000] Memory policy: ECC disabled, Data cache writeback                
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pag
es: 130048                                                                      
[    0.000000] Kernel command line: console=ttyS0,115200 root=LABEL=rootfs rootd
elay=10                                                                         
[    0.000000] PID hash table entries: 2048 (order: 1, 8192 bytes)              
[    0.000000] Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)  
[    0.000000] Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)   
[    0.000000] allocated 1048576 bytes of page_cgroup                           
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memor
y cgroups                                                                       
[    0.000000] Memory: 512MB = 512MB total                                      
[    0.000000] Memory: 499048k/499048k available, 25240k reserved, 0K highmem   
[    0.000000] Virtual kernel memory layout:                                    
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)                
[    0.000000]     fixmap  : 0xfff00000 - 0xfffe0000   ( 896 kB)                
[    0.000000]     vmalloc : 0xe0800000 - 0xff000000   ( 488 MB)                
[    0.000000]     lowmem  : 0xc0000000 - 0xe0000000   ( 512 MB)                
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)                
[    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)                
[    0.000000]       .text : 0xc0008000 - 0xc05f3260   (6061 kB)                
[    0.000000]       .init : 0xc05f4000 - 0xc063ab7c   ( 283 kB)                
[    0.000000]       .data : 0xc063c000 - 0xc0692970   ( 347 kB)                
[    0.000000]        .bss : 0xc0692994 - 0xc076c37c   ( 871 kB)                
[    0.000000] SLUB: Genslabs=13, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, N
odes=1                                                                          
[    0.000000] NR_IRQS:114                                                      
[    0.000000] sched_clock: 32 bits at 200MHz, resolution 5ns, wraps every 21474
ms                                                                              
[    0.000000] Console: colour dummy device 80x30                               
[   17.682784] Calibrating delay loop... 1191.11 BogoMIPS (lpj=5955584)         
[   17.772716] pid_max: default: 32768 minimum: 301                             
[   17.772819] Security Framework initialized                                   
[   17.772859] SELinux:  Initializing.                                          
[   17.773077] Mount-cache hash table entries: 512                              
[   17.773623] Initializing cgroup subsys cpuacct                               
[   17.773636] Initializing cgroup subsys memory                                
[   17.773663] Initializing cgroup subsys devices                               
[   17.773671] Initializing cgroup subsys freezer                               
[   17.773678] Initializing cgroup subsys net_cls                               
[   17.773684] Initializing cgroup subsys blkio                                 
[   17.773690] Initializing cgroup subsys perf_event                            
[   17.773768] CPU: Testing write buffer coherency: ok                          
[   17.773841] ftrace: allocating 18145 entries in 36 pages                     
[   17.800131] Setting up static identity map for 0x4417b0 - 0x4417ec           
[   17.802436] devtmpfs: initialized                                            
[   17.803715] atomic64 test passed                                             
[   17.803939] NET: Registered protocol family 16                               
[   17.804448] Kirkwood: MV88F6281-A0, TCLK=200000000.                          
[   17.804462] Feroceon L2: Cache support initialised, in WT override mode.     
[   17.809735] bio: create slab <bio-0> at 0                                    
[   17.810153] vgaarb: loaded                                                   
[   17.810470] SCSI subsystem initialized                                       
[   17.810841] usbcore: registered new interface driver usbfs                   
[   17.810892] usbcore: registered new interface driver hub                     
[   17.811002] usbcore: registered new device driver usb                        
[   17.811631] NetLabel: Initializing                                           
[   17.811640] NetLabel:  domain hash size = 128                                
[   17.811645] NetLabel:  protocols = UNLABELED CIPSOv4                         
[   17.811691] NetLabel:  unlabeled traffic allowed by default                  
[   17.811781] Switching to clocksource orion_clocksource                       
[   17.831632] NET: Registered protocol family 2                                
[   17.831856] IP route cache hash table entries: 4096 (order: 2, 16384 bytes)  
[   17.832214] TCP established hash table entries: 16384 (order: 5, 131072 bytes
)                                                                               
[   17.832568] TCP bind hash table entries: 16384 (order: 4, 65536 bytes)       
[   17.832746] TCP: Hash tables configured (established 16384 bind 16384)       
[   17.832752] TCP: reno registered                                             
[   17.832762] UDP hash table entries: 256 (order: 0, 4096 bytes)               
[   17.832783] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)          
[   17.832975] NET: Registered protocol family 1                                
[   17.833185] Unpacking initramfs...                                           
[   18.921419] Freeing initrd memory: 12068K                                    
[   18.922096] audit: initializing netlink socket (disabled)                    
[   18.922135] type=2000 audit(1.230:1): initialized                            
[   19.033647] VFS: Disk quotas dquot_6.5.2                                     
[   19.033851] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)       
[   19.035803] msgmni has been set to 998                                       
[   19.037529] alg: No test for stdrng (krng)                                   
[   19.037550] NET: Registered protocol family 38                               
[   19.037752] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 2
52)                                                                             
[   19.037891] io scheduler noop registered                                     
[   19.037899] io scheduler deadline registered                                 
[   19.037939] io scheduler cfq registered (default)                            
[   19.038399] mv_xor_shared mv_xor_shared.0: Marvell shared XOR driver         
[   19.038440] mv_xor_shared mv_xor_shared.1: Marvell shared XOR driver         
[   19.071915] mv_xor mv_xor.0: Marvell XOR: ( xor cpy )                        
[   19.111910] mv_xor mv_xor.1: Marvell XOR: ( xor fill cpy )                   
[   19.151910] mv_xor mv_xor.2: Marvell XOR: ( xor cpy )                        
[   19.191909] mv_xor mv_xor.3: Marvell XOR: ( xor fill cpy )                   
[   19.192251] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled          
[   19.213003] serial8250.0: ttyS0 at MMIO 0xf1012000 (irq = 33) is a 16550A    
[   19.711656] console [ttyS0] enabled                                          
[   19.719340] loop: module loaded                                              
[   19.723147] Fixed MDIO Bus: probed                                           
[   19.726806] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver       
[   19.733433] orion-ehci orion-ehci.0: Marvell Orion EHCI                      
[   19.738865] orion-ehci orion-ehci.0: new USB bus registered, assigned bus num
ber 1                                                                           
[   19.771841] orion-ehci orion-ehci.0: irq 19, io mem 0xf1050000               
[   19.791821] orion-ehci orion-ehci.0: USB 2.0 started, EHCI 1.00              
[   19.797832] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002    
[   19.804664] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=
1                                                                               
[   19.811930] usb usb1: Product: Marvell Orion EHCI                            
[   19.816655] usb usb1: Manufacturer: Linux 3.5.0-2.fc17.armv5tel.kirkwood ehci
_hcd                                                                            
[   19.824182] usb usb1: SerialNumber: orion-ehci.0                             
[   19.829290] hub 1-0:1.0: USB hub found                                       
[   19.833088] hub 1-0:1.0: 1 port detected                                     
[   19.837289] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver           
[   19.843559] uhci_hcd: USB Universal Host Controller Interface driver         
[   19.850162] usbcore: registered new interface driver usbserial               
[   19.856087] usbcore: registered new interface driver usbserial_generic       
[   19.862688] USB Serial support registered for generic                        
[   19.867759] usbserial: USB Serial Driver core                                
[   19.872309] mousedev: PS/2 mouse device common for all mice                  
[   19.878438] rtc-mv rtc-mv: rtc core: registered rtc-mv as rtc0               
[   19.884816] device-mapper: uevent: version 1.0.3                             
[   19.889763] device-mapper: ioctl: 4.22.0-ioctl (2011-10-19) initialised: dm-d
evel@redhat.com                                                                 
[   19.898515] cpuidle: using governor ladder                                   
[   19.902725] cpuidle: using governor menu                                     
[   19.907262] usbcore: registered new interface driver usbhid                  
[   19.912875] usbhid: USB HID core driver                                      
[   19.916789] drop_monitor: Initializing network drop monitor service          
[   19.923413] ip_tables: (C) 2000-2006 Netfilter Core Team                     
[   19.928790] TCP: cubic registered                                            
[   19.932191] Initializing XFRM netlink socket                                 
[   19.937202] NET: Registered protocol family 10                               
[   19.942475] mip6: Mobile IPv6                                                
[   19.945458] NET: Registered protocol family 17                               
[   19.949965] Key type dns_resolver registered                                 
[   19.954809] registered taskstats version 1                                   
[   19.959225] rtc-mv rtc-mv: setting system clock to 2022-04-03 20:51:15 UTC (1
649019075)
Comment 5 Bernard Johnson 2012-08-06 11:01:13 EDT
From a boot of a working 3.3.6-3.fc17.armv5tel.kirkwood:

[   19.311948] drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Comment 6 Bernard Johnson 2012-09-03 15:06:19 EDT
Also hangs when setting system clock on 3.5.2-3.fc17.armv5tel.kirkwood.
Comment 7 Scott Sullivan 2012-09-26 14:28:10 EDT
Also seen on 3.5.3-1.fc17.armv5tel.kirkwood

[   20.056030] drivers/rtc/hctosys.c: unable to open rtc device (rtc0)

This is running an a PogoPlug-v2 arcNumber 2998, but also test booting with arcNumber 2997 (sheevaplug). I have spare hardware at my disposal and willing to test binaries.

No issue with GA release 3.4.2-3.fc17.armv5tel.kirkwood
Comment 8 Robert Solomon 2012-12-10 00:25:52 EST
Also seen on 3.5.6-1.fc17.armv5tel.kirkwood

hangs here:

[    8.860657] Key type dns_resolver registered
[    8.865508] registered taskstats version 1
[    8.869909] rtc-mv rtc-mv: >setting system clock to 2012-12-10 04:11:01 UTC (1355112661)

Platform is Sheeva Plug 003-SP1001, system on usb stick.

Switching back to 3.4.2-3.fc17.armv5tel.kirkwood boots OK.
Comment 9 Bernard Johnson 2013-02-24 17:00:32 EST
Fixed in: kernel-kirkwood-3.7.6-102.fc17.armv5tel